
TYPO3.Flow - Feature # 9528

Status: Resolved Priority: Should have
Author: Robert Lemke Category: Log
Created: 2010-08-31 Assigned To: Robert Lemke
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Log remote IP address
Description

For certain kinds of logs and in certain situations it is helpful to log the remote address of the client using FLOW3.

The AbstractBackend could support an option "logIpAddress" which would be enabled or disabled through the logging backend
options.

Associated revisions
Revision 4f36e397 - 2010-09-02 14:06 - Robert Lemke

FLOW3 (Log): Support logging of remote IP address

Added a new option for configuring the (abstract) logging backend.
With "logIpAddress" set to "y", the file backend – or any other
future logging backend – will additionally log the remote ip address.

Change-Id: I93bfd68fa8f6c9f0bd5e8f8c5df5d6a4b81b8b20
Resolves: #9528

History
#1 - 2010-08-31 17:09 - Robert Lemke
- Status changed from New to Accepted

#2 - 2010-09-02 14:15 - Robert Lemke
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:"4f36e397b6b069b684e73896d5f205e0d31d32c5".

2015-08-03 1/1


